package com.hzya.frame.basedao.entity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName ModifyCriterion
 * @Description 修改对象
 * @Author llg
 * Date 2022/12/3 1:55 下午
 */
public class ModifyCriterion {
    //字段名称
    private String filedName;
    //字段值
    private Object filedValue;
    //数字类型
    private boolean intValue;
    //金额类型
    private boolean decimalValue;
    //字符串类型
    private boolean stringValue;
    //日期类型
    private boolean dateValue;

    public ModifyCriterion() {
    }

    public ModifyCriterion(String filedName, String filedValue) {
        this.filedName = filedName;
        this.filedValue = filedValue;
        this.stringValue = true;
    }
    public ModifyCriterion(String filedName, int filedValue) {
        this.filedName = filedName;
        this.filedValue = filedValue;
        this.intValue = true;
    }

    public ModifyCriterion(String filedName, BigDecimal filedValue) {
        this.filedName = filedName;
        this.filedValue = filedValue;
        this.decimalValue = true;
    }



    public ModifyCriterion(String filedName, Date filedValue) {
        this.filedName = filedName;
        this.filedValue = filedValue;
        this.dateValue = true;
    }

    public ModifyCriterion(int filedValue) {
        this.filedValue = filedValue;
        this.intValue = true;
    }

    public ModifyCriterion(BigDecimal filedValue) {
        this.filedValue = filedValue;
        this.decimalValue = true;
    }

    public ModifyCriterion(String filedValue) {
        this.filedValue = filedValue;
        this.stringValue = true;
    }

    public ModifyCriterion(Date filedValue) {
        this.filedValue = filedValue;
        this.dateValue = true;
    }

    public String getFiledName() {
        return filedName;
    }

    public void setFiledName(String filedName) {
        this.filedName = filedName;
    }

    public Object getFiledValue() {
        return filedValue;
    }

    public void setFiledValue(Object filedValue) {
        this.filedValue = filedValue;
    }

    public boolean isIntValue() {
        return intValue;
    }

    public void setIntValue(boolean intValue) {
        this.intValue = intValue;
    }

    public boolean isDecimalValue() {
        return decimalValue;
    }

    public void setDecimalValue(boolean decimalValue) {
        this.decimalValue = decimalValue;
    }

    public boolean isStringValue() {
        return stringValue;
    }

    public void setStringValue(boolean stringValue) {
        this.stringValue = stringValue;
    }

    public boolean isDateValue() {
        return dateValue;
    }

    public void setDateValue(boolean dateValue) {
        this.dateValue = dateValue;
    }
}
